Bug Hunting Session
Bug 98035 - SIDEBAR: Changing 'Advance Slide' options shouldnt start preview
Summary: SIDEBAR: Changing 'Advance Slide' options shouldnt start preview
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Rishabh
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: Sidebar-Slide-Transition
  Show dependency treegraph
 
Reported: 2016-02-20 22:11 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-24 16:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-20 22:11:18 UTC
Steps:
1) Open Impress
2) Click on the slide transition sidebar tab and select a transition
3) Change 'Advance Slide' from 'On mouse click' to 'Automatic after:' and see that the preview happens

Version: 5.2.0.0.alpha0+
Build ID: 72720ac9b934af6f84111ec694fa46555d10a7bd
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-17_19:06:34
Locale: en-US (en_US.UTF-8)
Comment 1 Rishabh 2016-02-20 23:32:25 UTC
Hi jphilipz,

I think its a feature. The preview happens only when the Automatic Preview checkbox is checked.
Comment 2 Yousuf Philips (jay) (retired) 2016-02-21 00:43:32 UTC
Hi Rishabh,

Not a useful feature if nothing is changing in the preview.
Comment 3 Commit Notification 2016-02-22 10:08:53 UTC
Rishabh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5df76b2d3ddbd97bf7e6c5d78052766e1602b558

tdf#98035: Changing 'Advance Slide' options shouldnt start preview

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.